Subject: RE: LyX and Xforms
From: [email-masked] (Xavier Plasencia)

7 Nov 1997 13:51:10 -0800
Message-ID: <c=US%a=_%p=Right_Angle_Syst%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Henry J. P. Smith'" <[email-masked]>,
        "[email-masked]'"
	 <[email-masked]>

I do not think this is possible.  Most of the ports from unix to Win32,
via Cygwin, require one
to have the source.  Although one can get the source code to Lyx, one
cannot 
get the source code for Xforms.  Xforms is a commercial package that is
built ontop of Xlib, and
is not portable.  I currently use Lyx on my home PC running LINUX where
the XForms libarary
is freely distributable.  You might whant to install LINUX on your PC or
try to install
the XLib server ontop of Win32.

Xavier

>-----Original Message-----
>From:	Henry J. P. Smith [SMTP:[email-masked]]
>Sent:	Thursday, November 06, 1997 3:23 PM
>To:	[email-masked]
>Subject:	LyX and Xforms
>
>Hello,
>
>I searched throught the back issues on cygnus and didn't find anything
>about either LyX or xforms. So I thought I'd ask whether anyone has any
>experience trying to bring either of these up under gnuwin32.
>
>LyX is a font-end for LaTeX and from what I gather it uses xforms to
>produce a WYSIWYG like interface. The URL for LyX that I have is 
>	<http://www.lehigh.edu/~dlj0/LyriX.html> 
>
>and for xforms 
>
>	<http://bragg.phys.uwm.edu/xforms>.
>
>I don't feel too confident in attempting to bring them up under GNUWIN32
>(as I am not very strong in C/C++ etc) but I am strongly tempted to give it
>a try as I and a colleague of mine have a need for LaTeX but don't
>particularly like the hassle of learning it to do all that we will probably
>need. {  I know I know, tha't being kinda lazy :-)  }
>
>I was thinking that one could do as straight a port as possible and use a
>local X-server such as MI/X or the one I use most frequently SuperX from
>FrontierTech. (Haven't seen the latter mentioned on the list. Does anyone
>else use it? I rather like it for my purposes as it is more robust than
>MI/X and not too expensive either.)
>
>xforms provides the menus and buttons etc used by LyX and it apparently
>does so via a Unix shared object librayr (.so . . . etc) AFAIK (not very
>far <g>) this sort of function would be carried out in WIN32 by a DLL. Does
>GNUWIN32 have the .so option available? I'd kinda guess not but then . . .
>If not how hard is it to change the .so file into a dll? (obviously you
>need the source but after that?) 
>
>Well any thoughts any one might like to add would be greatly appreciated as
>they might be save me a lot of headaches. And also if anyone has a good
>argumebnt as to why this would be a dumb project to get started on, <G> I'd
>very much like to hear them as well.
>
>TIA
>
>Henry
>
>PS: this is a great list. I've been sort of lurking for some time and this
>is my first post. Thanks to all the earlier contributors.
>
>
>
>
>
>Dr. Henry J. P. Smith		   President / Owner
>		TPE Associates
>"Technology	     Physics           Environment"
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".